Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.realm
Class SAMLPrincipal

`java.lang.Object
oracle.security.jazn.realm.SAMLPrincipal`

All Implemented Interfaces:
  DeactivatableUser, java.security.Principal, RealmPrincipal, RealmUser, java.io.Serializable

public class SAMLPrincipal
extends java.lang.Object
implements RealmUser, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`SAMLPrincipal(java.lang.String name)` Constructor

Method Summary
`boolean` | `equals(java.lang.Object obj)` Equals SAMLPrincipal
`java.lang.String` | `getDescription()` Get description
`java.lang.String` | `getDisplayName()` Get the display name
`java.lang.String` | `getFullName()` Get the full name of the principal
`java.lang.String` | `getName()` Get name
`Realm` | `getRealm()` Get realm of the principal
`int` | `hashCode()` Hashcode
`boolean` | `isDeactivated()`
`void` | `setDeactivated(boolean deactivate)`
`void` | `setDescription(java.lang.String desc)` Set description
`java.lang.String` | `toString()` ToString

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SAMLPrincipal

    public SAMLPrincipal(java.lang.String name)

  Constructor
Parameters:
  `name` - principal

Method Detail

### getFullName

    public java.lang.String getFullName()

  Get the full name of the principal
  Specified by:
    `getFullName` in interface `RealmPrincipal`
  Returns:
    full name or null

### equals

    public boolean equals(java.lang.Object obj)

  Equals SAMLPrincipal
  Specified by:
    `equals` in interface `java.security.Principal`
  Parameters:
    `obj` -
  Returns:
    true if equal, false otherwise.

### hashCode

    public int hashCode()

  Hashcode
  Specified by:
    `hashCode` in interface `java.security.Principal`
  Returns:
    hashcode of the name

### toString

    public java.lang.String toString()

  ToString
  Specified by:
    `toString` in interface `java.security.Principal`
  Returns:
    name or null

### getRealm

    public Realm getRealm()

  Get realm of the principal
  Specified by:
    `getRealm` in interface `RealmPrincipal`
  Returns:
    null
  Throws:
    `Always` - throws UnsupportedOperationException

### getDisplayName

    public java.lang.String getDisplayName()

  Get the display name
  Specified by:
    `getDisplayName` in interface `RealmPrincipal`
  Returns:
    name or null

### getDescription

    public java.lang.String getDescription()

  Get description
  Specified by:
    `getDescription` in interface `RealmPrincipal`
  Returns:
    description or null

### setDescription

    public void setDescription(java.lang.String desc)

  Set description
  Specified by:
    `setDescription` in interface `RealmPrincipal`
  Parameters:
    `desc` -

### getName

    public java.lang.String getName()

  Get name
  Specified by:
    `getName` in interface `java.security.Principal`
  Returns:
    name of the principal

### isDeactivated

    public boolean isDeactivated()

  Specified by:
    `isDeactivated` in interface `DeactivatableUser`

### setDeactivated

    public void setDeactivated(boolean deactivate)

  Specified by:
    `setDeactivated` in interface `DeactivatableUser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.